{
    attributes = (
        {
            allowsNull = Y; 
            columnName = CDIS_AFFICHAGE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = IDISP_LIBELLE; }; 
            name = cdisAffichage; 
            valueClassName = NSString; 
            width = 100; 
        }, 
        {
            columnName = CDIS_KEY; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = IDISP_KEY; }; 
            name = cdisKey; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = CDIS_LIBELLE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = IDISP_LIBELLE; }; 
            name = cdisLibelle; 
            valueClassName = NSString; 
            width = 100; 
        }
    ); 
    attributesUsedForLocking = (cdisKey); 
    className = EOGenericRecord; 
    classProperties = (cdisKey, cdisLibelle, cdisAffichage); 
    externalName = SCOL_CONSTANTE_DISPENSE; 
    fetchSpecificationDictionary = {}; 
    name = ScolConstanteDispense; 
    primaryKeyAttributes = (cdisKey); 
}
